diff --git a/src/Lunr/Vortex/GCM/GCMDispatcher.php b/src/Lunr/Vortex/GCM/GCMDispatcher.php
index bfcdcf8871cb1aa025c0f2931d632d829ed2b35f..2a10949f416326f1a5d6d9868dd058652461f6d1 100644
--- a/src/Lunr/Vortex/GCM/GCMDispatcher.php
+++ b/src/Lunr/Vortex/GCM/GCMDispatcher.php
@@ -59,26 +59,24 @@ class GCMDispatcher implements PushNotificationDispatcherInterface
     private $logger;
 
     /**
-     * Shared instance of the Configuration class.
-     * @var Configuration
+     * Url to send the GCM push notification to.
+     * @var String
      */
-    private $config;
+    const GOOGLE_SEND_URL = 'https://android.googleapis.com/gcm/send';
 
     /**
      * Constructor.
      *
      * @param Curl            $curl   Shared instance of the Curl class.
      * @param LoggerInterface $logger Shared instance of a Logger.
-     * @param Configuration   $config Shared instance of the Configuration class.
      */
-    public function __construct($curl, $logger, $config)
+    public function __construct($curl, $logger)
     {
         $this->endpoint   = '';
         $this->payload    = '';
         $this->auth_token = '';
         $this->curl       = $curl;
         $this->logger     = $logger;
-        $this->config     = $config;
     }
 
     /**
@@ -91,7 +89,6 @@ class GCMDispatcher implements PushNotificationDispatcherInterface
         unset($this->auth_token);
         unset($this->curl);
         unset($this->logger);
-        unset($this->config);
     }
 
     /**
@@ -108,9 +105,8 @@ class GCMDispatcher implements PushNotificationDispatcherInterface
         $tmp_payload['registration_ids'] = [$this->endpoint];
         $this->payload                   = json_encode($tmp_payload);
 
-        $response = $this->curl->post_request($this->config['gcm']['google_send_url'], $this->payload);
+        $response = $this->curl->post_request(self::GOOGLE_SEND_URL, $this->payload);
 
-        $this->endpoint   = '';
         $this->payload    = '';
         $this->auth_token = '';
 
diff --git a/src/Lunr/Vortex/GCM/Tests/GCMDispatcherPushTest.php b/src/Lunr/Vortex/GCM/Tests/GCMDispatcherPushTest.php
index 6e72177e6b90f3b76712a8a4beca23225243525c..2b1690cdcec06738d978e368191f77754cceaac7 100644
--- a/src/Lunr/Vortex/GCM/Tests/GCMDispatcherPushTest.php
+++ b/src/Lunr/Vortex/GCM/Tests/GCMDispatcherPushTest.php
@@ -51,7 +51,7 @@ class GCMDispatcherPushTest extends GCMDispatcherTest
 
         $this->curl->expects($this->once())
                    ->method('post_request')
-                   ->with($this->config['gcm']['google_send_url'], $this->equalTo('{"registration_ids":["endpoint"]}'))
+                   ->with('https://android.googleapis.com/gcm/send', $this->equalTo('{"registration_ids":["endpoint"]}'))
                    ->will($this->returnValue($response));
 
         $this->assertInstanceOf('Lunr\Vortex\GCM\GCMResponse', $this->class->push());
@@ -74,12 +74,11 @@ class GCMDispatcherPushTest extends GCMDispatcherTest
 
         $this->curl->expects($this->once())
                    ->method('post_request')
-                   ->with($this->config['gcm']['google_send_url'], $this->equalTo('{"registration_ids":["endpoint"]}'))
+                   ->with('https://android.googleapis.com/gcm/send', $this->equalTo('{"registration_ids":["endpoint"]}'))
                    ->will($this->returnValue($response));
 
         $this->class->push();
 
-        $this->assertPropertyEquals('endpoint', '');
         $this->assertPropertyEquals('payload', '');
         $this->assertPropertyEquals('auth_token', '');
     }
diff --git a/src/Lunr/Vortex/GCM/Tests/GCMDispatcherTest.php b/src/Lunr/Vortex/GCM/Tests/GCMDispatcherTest.php
index 854674568a7eb139e4f1833d241e139ec32cd43b..f481ab4b281025a5c7389ba50b8fdfcf0def8146 100644
--- a/src/Lunr/Vortex/GCM/Tests/GCMDispatcherTest.php
+++ b/src/Lunr/Vortex/GCM/Tests/GCMDispatcherTest.php
@@ -46,40 +46,14 @@ abstract class GCMDispatcherTest extends LunrBaseTest
     protected $logger;
 
     /**
-     * Mock instance of the Configuration class.
-     * @var Configuration
-     */
-    protected $config;
-
-    /**
-     * Mock instance of the Configuration class.
-     * @var Configuration
-     */
-    protected $sub_config;
-
-    /**
      * Testcase Constructor.
      */
     public function setUp()
     {
         $this->curl       = $this->getMock('Lunr\Network\Curl');
         $this->logger     = $this->getMock('Psr\Log\LoggerInterface');
-        $this->config     = $this->getMock('Lunr\Core\Configuration');
-        $this->sub_config = $this->getMock('Lunr\Core\Configuration');
-
-        $map = [ 'gcm' => $this->sub_config ];
-
-        $this->config->expects($this->any())
-                     ->method('offsetGet')
-                     ->will($this->returnValueMap($map));
-
-        $map = ['google_send_url' => 'gcm_post_url'];
-
-        $this->sub_config->expects($this->any())
-                         ->method('offsetGet')
-                         ->will($this->returnValueMap($map));
 
-        $this->class = new GCMDispatcher($this->curl, $this->logger, $this->config);
+        $this->class = new GCMDispatcher($this->curl, $this->logger);
 
         $this->reflection = new ReflectionClass('Lunr\Vortex\GCM\GCMDispatcher');
     }
@@ -90,8 +64,6 @@ abstract class GCMDispatcherTest extends LunrBaseTest
     public function tearDown()
     {
         unset($this->logger);
-        unset($this->config);
-        unset($this->sub_config);
         unset($this->class);
         unset($this->reflection);
     }
